Name: 5ball
Version: 0.44
Release: 1

Summary: A logic game with balls
License: GPL
Group: Games/Puzzles

Url: http://www.pcbypaul.com/linux/5ball.html
Source0: %name-%version.tar.gz

Packager: Paul Sherman <psherman2001@gmail.com>

# Automatically added by buildreq on Fri Jan 23 2004
BuildRequires: XFree86-libs fontconfig freetype2 glib2-devel libatk-devel libgtk+2-devel libpango-devel pkgconfig

%define localstatedir   /var/lib

%prep
%setup -q

%build
unset CC CXX
#export CFLAGS="$RPM_OPT_FLAGS"
%configure \
	--datadir=%_datadir \
	--localstatedir=%_localstatedir/games \
	--bindir=%_gamesbindir
%make_build

%install
%makeinstall \
	datadir=%buildroot%_datadir \
	localstatedir=%buildroot%_localstatedir/games \
	bindir=%buildroot%_gamesbindir
%__mkdir_p %buildroot%_menudir
%__cat << EOF >%buildroot%_menudir/%name
?package(%name):command="%_gamesbindir/%name" icon="%name.xpm" \
needs="x11" section="Amusement/Puzzles" title="5ball" \
longtitle="A logic game with balls"
EOF

%files -f %name.lang
%attr(2711, root, games)%_gamesbindir/*
#%attr(-, games, games) %_localstatedir/*/*
%_datadir/%name
%_menudir/%name
%_man6dir/*
#%_miconsdir/*.xpm
#%_iconsdir/*.xpm

%post
if [ ! -f %_localstatedir/games/5ball-scores ]; then
	touch %_localstatedir/games/5ball-scores
fi
%__chgrp games %_localstatedir/games/5ball-scores
%__chmod 0664 %_localstatedir/games/5ball-scores
%update_menus

%postun
%clean_menus

%changelog
* Mon June 08, 2022 Paul_Sherman <psherman2001@gmail.com> 0.44
- Rebuilt stripping out int Language
